% rozpoznání písmene
function [znak navrhy obrazy] = funkce_rozpoznani(cislo,volba)
%% nahrání databaze referenčních znaků
load data\databaze.mat
if volba == 'P'
    DATA_vypis = ['ABCDEFGHIJKLMNOPQRSTUVWXYZ'];
    start = 11;
    stop = 36;
elseif volba == 'C'
    DATA_vypis = ['0123456789'];
    start = 1;
    stop = 10;
end

%% uprava čísla, zmenšení na stejnou velikost

cislo = logical(cislo);
cislo = bwmorph(cislo,'thin',Inf);
cislo = bwmorph(cislo,'dilate',ones(3));

[f c]=find(cislo);
cislo=cislo(min(f):max(f),min(c):max(c));
[maxI maxK] = size(databaze{1});
cislo = imresize(cislo,[maxI maxK]);

cislo = bwmorph(cislo,'dilate',ones(3));

obrazy = cislo;
%% korelace
for k = start : stop
    %řádek stejných
    sloupec_stejnych = databaze(k,1:end);
    for i = 1:length(sloupec_stejnych)
        img_in = logical(sloupec_stejnych{i});
        if sum(sum(img_in)) > 0
            corel(i,k) = corr2(cislo,img_in);        
        else
            corel(i,k) = 0;
        end
    end
end
    
soucet1 = max(corel);
if volba == 'P'
    soucet1 = soucet1(11:end);
end
[navrhy2(1,:), navrhy2(2,:)] = sort(soucet1,'descend');
navrhy = navrhy2(:,1:5);

b = navrhy(2,1);

znak = DATA_vypis(b);
end